ServerEvents.recipes(event => {

	event.remove({input: 'immersiveengineering:wirecutter', output: '#forge:wires'})
    event.remove({input: 'immersiveengineering:hammer', output: '#forge:plates'})
    event.remove({input: 'immersiveengineering:hammer', input: '#forge:ores'})

	event.remove({ type: 'minecraft:crafting_shapeless', input: 'minecraft:fire_charge' })
	event.remove({ type: 'minecraft:crafting_shapeless', output: '#forge:dusts' })

	event.replaceInput({ id: 'immersiveengineering:crafting/capacitor_lv' }, 'minecraft:iron_ingot', 'immersiveengineering:ingot_steel')
	event.replaceInput({ id: 'immersiveengineering:crafting/capacitor_mv' }, 'immersiveengineering:ingot_steel', 'create:brass_ingot')

    //event.remove({type: 'immersiveengineering:alloysmelter', output: '#forge:ingots'}) //did not work anyways, but i see no reason this needs to be disabled


	event.shaped('create:water_wheel', [
		' B ', 
		'BAB',
		' B '  
		],{
		A: 'immersiveengineering:ingot_steel',
		B: 'immersiveengineering:waterwheel_segment'
	})

	event.shaped('create:large_water_wheel', [
		'BBB', 
		'BAB',
		'BBB'  
		],{
		A: 'immersiveengineering:ingot_steel',
		B: 'immersiveengineering:waterwheel_segment'
	})

	event.recipes.create.mixing(Fluid.of('immersiveengineering:concrete', 50),
		[Fluid.of('minecraft:water', 100), 'kubejs:concrete_piece']).heated()
	
})